%global git_tag c6ce9f27af44ffd8a28e1153140a61a7d15d3f32 
%global git_short_tag c6ce9f2

%if 0%{?fedora} >= 24
%global droplets droplets
%else
%global droplets dropins
%endif

Name:           eclipse-epp-logging
Version:        1.100.0
Release:        0.5.git%{git_short_tag}%{?dist}
Summary:        Eclipse Error Reporting tool
License:        EPL
URL:            http://www.eclipse.org/epp/

Source0:       http://git.eclipse.org/c/epp/org.eclipse.epp.logging.git/snapshot/org.eclipse.epp.logging-%{git_tag}.tar.xz

Patch0:		feature-cleanup.patch
Patch1:		guava-lucene-upgrade.patch

BuildArch:      noarch


BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-pde
BuildRequires: eclipse-license
BuildRequires: eclipse-platform
BuildRequires: eclipse-emf
BuildRequires: eclipse-mylyn
BuildRequires: lucene3
BuildRequires: guava
BuildRequires: google-gson
BuildRequires: httpcomponents-client
BuildRequires: hamcrest
BuildRequires: mockito
BuildRequires: logback
BuildRequires: slf4j

Requires:       eclipse-platform >= 1:4.3.2
Requires:	lucene3

%description
EPP Logging provides a set of logging plugins for the Eclipse IDE.

%prep
%setup -q -n org.eclipse.epp.logging-%{git_tag}
%patch0 -p1
%patch1 -p1

sed -i -e "s/org.hamcrest;/org.hamcrest.core;/g" `find . -name MANIFEST.MF`
sed -i -e "s/id=\"org.hamcrest\"/id=\"org.hamcrest.core\"/g" `find . -name feature.xml`
sed -i -e "s/org.mockito;/org.mockito.mockito-core;/g"  `find . -name MANIFEST.MF`
sed -i -e "s/org.mockito/org.mockito.mockito-core/g"  `find . -name feature.xml`

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

pushd features/
%pom_disable_module org.eclipse.epp.logging.aeri.tests.feature
%pom_disable_module org.eclipse.epp.logging.3rd.feature
popd

%pom_disable_module releng
%pom_disable_module tests
%pom_disable_module examples

%pom_remove_plugin org.eclipse.tycho:target-platform-configuration
%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin
%pom_remove_plugin com.mycila.maven-license-plugin:maven-license-plugin
%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin
%pom_remove_plugin org.codehaus.mojo:tidy-maven-plugin
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin bundles/
%pom_remove_plugin org.jacoco:jacoco-maven-plugin tests/
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin bundles/

%build
%mvn_build  -j -- -f pom.xml

%install
%mvn_install

build-jar-repository -s -p %{buildroot}%{_datadir}/eclipse/%{droplets}/epp-logging/eclipse/plugins/ lucene3/lucene-core-3

%files -f .mfiles

%{_datadir}/eclipse/%{droplets}/epp-logging/eclipse/plugins/lucene*

%license %{_datadir}/eclipse/%{droplets}/epp-logging/eclipse/features/org.eclipse.epp.logging.aeri.feature_*/*.html


%changelog
* Thu Mar 24 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.5.gitc6ce9f2
- Added symlinks to lucene3 artifacts

* Thu Mar 24 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.4.gitc6ce9f2
- Added dropins support

* Mon Mar 21 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.3.gitc6ce9f2
- Added %license statement

* Fri Mar 18 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.2.gitc6ce9f2
- Disabled examples module

* Wed Mar 16 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.1.gitc6ce9f2
- Initial packaging
